#!/bin/sh
if [ -d /usr/etc/gtk-2.0 ]
then
echo "Caching pixbuf loaders..." &&
if [ -e /usr/etc/gtk-2.0/gdk-pixbuf.loaders ]; then
    echo "Pixbuf loaders already cached. Done nothing."
else
  mount -n -o remount -w /dev/mmcblk0p2 / &&
  echo -en "stop" > /proc/nxw_wdog &&
  gdk-pixbuf-query-loaders > /usr/etc/gtk-2.0/gdk-pixbuf.loaders &&
  sync &&
  echo -en "start" > /proc/nxw_wdog &&
  mount -n -o remount -r /dev/mmcblk0p2 / &&
  echo "Done. Pixbuf loaders cached."
fi
fi
